Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.modifier
Class UserParameterXMLErrorHandler

    java.lang.Object
      org.apache.jmeter.protocol.http.modifier.UserParameterXMLErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class UserParameterXMLErrorHandler

extends Object
implements ErrorHandler

XML Parseing errors for XML parameters file are handled here.

Constructor Summary
`UserParameterXMLErrorHandler()`

Method Summary
`void` | `error(SAXParseException exception)`
`void` | `fatalError(SAXParseException exception)`
`void` | `warning(SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserParameterXMLErrorHandler

    public UserParameterXMLErrorHandler()

Method Detail

### warning

    public void warning(SAXParseException exception)
                 throws SAXException

  Specified by:
    `warning` in interface `ErrorHandler`
  Throws:
    `SAXException`

### error

    public void error(SAXParseException exception)
               throws SAXException

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXException`

### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.